Subject: Fw:
From: Angela <[email-masked]>
To: Joey Sheets <[email-masked]>, Michael Bishop <[email-masked]>
Date: Tue, 3 Jun 2014 09:08:48 -0700 (PDT)

On Tuesday, June 3, 2014 11:20 AM, Angela Edstrom <[email-masked]> wrote:

http://kmov4.mlnwap.com/article.html#!/81042/934d8d0abd0d3307785e6ab8591d1826
Sent from my iPhone